Skip site navigation (1) Skip section navigation (2)

What packages from Mingw and MSys are needed?

From: "Tony and Bryn Reina" <reina_ga(at)hotmail(dot)com>
To: <pgsql-hackers-win32(at)postgresql(dot)org>
Subject: What packages from Mingw and MSys are needed?
Date: 2003-12-02 18:15:32
Message-ID: BAY8-DAV38sfGdMNFmW00000ce8@hotmail.com (view raw or flat)
Thread:
Lists: pgsql-hackerspgsql-hackers-win32
1. Which parts of MSYS and Mingw are needed for the building a Win32 version of PostgreSQL?

There are several packages listed on the Mingw website:
MingGW-3.1.0-1.exe
mingw-utils-0.2
mingw-runtime-3.2
msys-1.0.9.exe
msysDTK-1.0.1.exe
binutils
gcc
win32api-2.4
mingw32-make

2. Do I have to build OpenSSL from Mingw to compile --with-openssl? Or does Mingw already have it as a package?

3. Does the current PostgreSQL 7.4 compile with Mingw?

Thanks.
-Tony Reina

Responses

pgsql-hackers by date

Next:From: Lamar OwenDate: 2003-12-02 18:42:51
Subject: Re: rebuilding rpm for RH9 error
Previous:From: darrenDate: 2003-12-02 14:33:54
Subject: Re: porting from 7.2 -> 7.4

pgsql-hackers-win32 by date

Next:From: Andrew DunstanDate: 2003-12-02 18:56:04
Subject: Re: [pgsql-hackers-win32] What packages from Mingw and MSys are needed?
Previous:From: Joshua D. DrakeDate: 2003-12-01 23:54:38
Subject: Re: pg_ctl

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group